<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<plugin>
    <id>com.fr.plugin.mark.excel.import.v11</id>
    <name><![CDATA[Excel标记导入]]></name>
    <active>yes</active>
    <hidden>no</hidden>
    <version>1.6.7</version>
    <env-version>11.0~11.0</env-version>
    <jartime>2022-01-06</jartime>
    <vendor>finereport.lucian</vendor>
    <description><![CDATA[复杂场景的excel导入]]></description>
    <change-notes><![CDATA[
        [2022-03-08]修复内容区域父格非顺序的父格关系可能导入卡死的问题<br/>
		[2022-02-28]国际化更新<br/>
        [2022-02-25]修复设计器打开时首张模板导入属性读取不到的问题<br/>
        [2022-02-23]修复澳门会计模式数据格式错误的问题<br/>
        [2022-02-21]修复非手动匹配sheet时的智能识别不触发问题<br/>
        [2022-02-17]修复slf4j加载失败的问题<br/>
        [2022-02-16]修复配置含有特殊字符问题<br/>
        [2022-02-07]日志更新<br/>
        [2022-01-12]操作策略化功能实现<br/>
        [2022-01-05]修复实际值精度问题<br/>
        [2021-12-01]注册控制更新<br/>
        [2021-12-01]国际化更新<br/>
        [2021-11-09]修复自定义js导入异常的问题<br/>
        [2021-11-02]修复公式计算导致的自适应失效问题<br/>
        [2021-10-19]修复删除行重复导入时高度异常问题<br/>
        [2021-10-15]更新依赖包<br/>
        [2021-09-29]智能识别不匹配空白结尾行列<br/>
        [2021-09-24]新增智能识别、模板导入设置支持框选、导入设置随模板增删行列变化功能<br/>
        [2021-09-14]标题匹配使用显示值<br/>
        [2021-09-14]处理合并单元格<br/>
        [2021-09-10]支持导入Excel实际值显示值两种格式数据<br/>
        [2021-08-25]单元格设置不可伸展属性，标题合并单元格匹配异常问题修复<br/>
        [2021-08-20]新填报问题适配<br/>
        [2021-08-18]非webroot路径资源加载问题修复<br/>
        [2021-08-12]适配形态显示值<br/>
        [2021-05-31]插件初始化<br/>
    ]]></change-notes>
    <main-package>com.fr.plugin.excel</main-package>
    <function-recorder class="com.fr.plugin.excel.engine.importer.ExcelImporter"/>
    <!--插件注入生命周期-->
    <lifecycle-monitor class="com.fr.plugin.excel.ExcelImportLifecycleMonitor"/>
    <conditional-trigger class = "com.fr.plugin.excel.ExcelImportConditionalTrigger"/>
    <extra-core>
        <!--插件注入国际化-->
        <LocaleFinder class="com.fr.plugin.excel.ExcelImportLocaleFinder"/>
        <!--插件注入请求处理-->
        <WebService class="com.fr.plugin.excel.web.service.ExcelImportService"/>
        <!--插件注入模板属性-->
        <IOFileAttrMark class="com.fr.plugin.excel.base.attr.ExcelImportTemplateAttr"/>
        <!--插件注入数据库-->
        <DBAccessProvider class="com.fr.plugin.excel.engine.conf.ExcelImportDBAccessProvider"/>
        <!--插件注入图标-->
        <IconProvider class="com.fr.plugin.excel.ui.ExcelImportIconProvider"/>
    </extra-core>
    <extra-report>
        <!--插件注入JS文件-->
        <JavaScriptFileHandler class="com.fr.plugin.excel.web.ExcelImportJSFileHandler"/>
        <!--插件注入单元格属性-->
        <CellPropertyProvider class="com.fr.plugin.excel.base.bean.cell.ExcelCellProperty"/>
    </extra-report>
    <extra-designer>
        <!--插件注入工具栏按钮-->
        <ToolbarItemProvider class="com.fr.plugin.excel.ui.ExcelImportToolBarItem"/>
        <!--插件注入菜单按钮-->
        <MenuHandler class="com.fr.plugin.excel.ui.ExcelImportMenuHandler"/>
        <!--插件注入单元格属性面板-->
        <PropertyItemPaneProvider class="com.fr.plugin.excel.ui.cell.ExcelCellPropertyPaneProvider"/>
    </extra-designer>
    <extra-decision>
        <HttpHandlerProvider class="com.fr.plugin.excel.web.bridge.ExcelImportHttpHandlerProvider"/>
        <URLAliasProvider class="com.fr.plugin.excel.web.bridge.ExcelImportURLAliasProvider"/>
    </extra-decision>

    <prefer-packages>
        <prefer-package>com.alibaba.excel</prefer-package>
        <prefer-package>org.apache.poi</prefer-package>
        <prefer-package>org.apache.commons</prefer-package>
        <prefer-package>org.apache.xmlbeans</prefer-package>
        <prefer-package>org.openxmlformats.schemas</prefer-package>
        <prefer-package>org.etsi.uri.x01903.v13</prefer-package>
        <prefer-package>org.w3.x2000.x09.xmldsig</prefer-package>
        <prefer-package>com.microsoft.schemas</prefer-package>
        <prefer-package>com.zaxxer.sparsebits</prefer-package>
        <prefer-package>com.graphbuilder</prefer-package>
        <prefer-package>org.slf4j</prefer-package>
    </prefer-packages>

</plugin>
